#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.0.1
visibility:           public
id:                   structured-0.1.0.1-1OF015cZyAF4adAkTZsAK3
key:                  structured-0.1.0.1-1OF015cZyAF4adAkTZsAK3
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  5e7e4d39180cf080dee74fb2684cca7a
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.4/site-local/structured-0.1.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/structured-0.1.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/structured-0.1.0.1
hs-libraries:         HSstructured-0.1.0.1-1OF015cZyAF4adAkTZsAK3
depends:
    aeson-1.5.6.0-5UhD0HeD84KFPVsjqEyp8O array-0.5.4.0 base-4.14.1.0
    base16-bytestring-1.0.1.0-96D88dIF01ZC6PmS2McW12 binary-0.8.8.0
    bytestring-0.10.12.0 containers-0.6.2.1
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    scientific-0.3.6.2-AXTolO4hTOaFVm5OrhDpop
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1
    time-compat-1.9.5-HTAIZmVxGAQ9Vxij3s8xFJ transformers-0.5.6.2
    unordered-containers-0.2.13.0-ApNkHwNvshX8NJ7lvcglMy
    uuid-types-1.0.4-nO6kC74hJoP6rYVHQLPr
    vector-0.12.2.0-6b7mFy2cENT3vKiDJ1nfAK

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

